Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcontrol.ui.wombat.event
Interface TouchListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  AbstractFocusComponent, AbstractScrolledComponent, Button, CheckBox, ComboBox, KeyPad, ListBox, Menu, MultiImageMenu, NumberChooser, RadioButton, RockerSwitch, Slider, TextInputField, TextViewer, ToggleSwitch, TypeWriter

    public interface TouchListener

extends EventListener

The interface `TouchListener` must be implemented by components that want to receive touch events when the screen was touched.

(C) DOMOLOGIC Home Automation GmbH 2005 - 2007

See Also:
  `TouchEvent`

Field Summary
`static int` | `RESULT_ACCEPTED`
`static int` | `RESULT_EXECUTED`
`static int` | `RESULT_NONE`

Method Summary
`int` | `onTouchEvent(TouchEvent event)` Every time a touch event is fired, this method will be called.

Field Detail

### RESULT_NONE

    static final int RESULT_NONE

See Also:
  Constant Field Values

### RESULT_ACCEPTED

    static final int RESULT_ACCEPTED

See Also:
  Constant Field Values

### RESULT_EXECUTED

    static final int RESULT_EXECUTED

See Also:
  Constant Field Values

Method Detail

### onTouchEvent

    int onTouchEvent(TouchEvent event)

  Every time a touch event is fired, this method will be called.

  Parameters:
    `event` - The touch event.
  Returns:
    `RESULT_ACCEPTED` if the TouchEvent has been consumed by the TouchListener,
    `RESULT_EXECUTED` if the TouchEvent has been consumed by the TouchListener and some important action has been performed, e.g. an action event has been invoked,
    `RESULT_NONE` if the TouchEvent should be passed on to the next TouchListener.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD